// 完毕：
using System;
using System.IO;
using System.Linq;
using System.Text;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Text;
using GrapeCity.Documents.Drawing;

namespace DsPdfWeb.Demos.Basics
{
    // 演示如何将文件附加到 PDF 文档。
    // 另请参阅演示文件附件注释的FileAttachments示例，
    // 它们附加到页面上的特定位置。
    public class DocAttachments
    {
        public int CreatePDF(Stream stream)
        {
            var doc = new GcPdfDocument();
            var page = doc.NewPage();
            var files = new (string, string)[]
            {
                ( "Images", "tudor.jpg" ),
                ( "Images", "sea.jpg" ),
                ( "Images", "puffins.jpg" ),
                ( "Images", "lavender.jpg" ),
                ( "Images", "skye.jpg" ),
                ( "Images", "fiord.jpg" ),
                ( "Images", "newfoundland.jpg" ),
                ( "PDFs", "HelloWorld.pdf" ),
                ( "PDFs", "FormFields.pdf" )
            };
            var sb = new StringBuilder();
            foreach (var f in files)
                sb.AppendLine(f.Item2);
            Common.Util.AddNote(
                "本文档附加了一些图像和 PDF：\n\n" +
                sb.ToString(), page);
            foreach (var f in files)
            {
                var file = Path.Combine("Resources", f.Item1, f.Item2);
                var fspec = FileSpecification.FromEmbeddedFile(EmbeddedFileStream.FromFile(doc, file));
                doc.EmbeddedFiles.Add(file, fspec);
            }
            // 完毕：
            doc.Save(stream);
            return doc.Pages.Count;
        }
    }
}
